/* CEBrowserCell.h				 
 *
 * This object controls the data of a beaker (molecules, cameras, groups etc.)
 * It is the main document of BeakerBoy and controls everything from loading to
 * setting up the browser which does most of the other work.
 *
 * Usage: ....
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	12.11.1994
 */

#import <RZBrowserCell.h>
#import <appkit/appkit.h>

@interface CEBrowserCell:RZBrowserCell
{
	id	source;
	id	dragSources;
}

+ initialize;
- free;

- mouseDown:(NXEvent *)theEvent forView:aView;
- setSource:theObject;
- source;

// Should be part of the object to drag ?

- (NXDragOperation)draggingSourceOperationMaskForLocal:(BOOL)isLocal;
- setDraggingSource:anObject at:(unsigned)index;

@end

/*
 * History: 13.01.95 Buh
 *			
 *
 * Bugs: - ...
 */