/* MiscString_more.m				 
 *
 * This object controls the data of a beaker (molecules, cameras, groups etc.)
 * It is the main document of BeakerBoy and controls everything from loading to
 * setting up the browser which does most of the other work.
 *
 * For interface-info see the header file. The comments in this file mostly
 * cover only the real implementation details.
 *
 * Written by: 		Thomas Engel
 * Created:    		23.10.1993 (Copyleft)
 * Last modified: 	12.11.1994
 */


#import "MiscString_more.h"

@implementation MiscString ( More )

- squashAllWhiteSpaces
{
	// Just a fake right now..
	
	[self squashSpaces];
	return self;
}

- addExtensionIfNeed:(const char *)aString
{
	id	ourExtension;
	
	if (!aString) return nil;  // maybe we should _strip_ extensions here
	
	ourExtension = [self fileExtension];

	if( [ourExtension length] == 0 ||
		[ourExtension cmp:aString] != 0 )
	{
		[self addCharToEndOfString:'.'];
		[self cat:aString];
	}	
	[ourExtension free];
	return self;
}
@end

/*
 * History: 13.01.95 Buh
 *			
 *
 * Bugs: - ...
 */