/* CEClass.h				 
 *
 * This object ...
 *
 * Usage: ....
 *
 * Written by: 		Thomas Engel
 * Created:    		xx.xx.1996 (Copyleft)
 * Last modified: 	xx.xx.1996
 */

#import <appkit/appkit.h>

typedef enum 
{
	CEUnknownResourceType = 0,
	CEDocumentationResource,
	CECommentResource,
	CEDefinitionResource,
	CEImplementationResource
} CEResourceType;

typedef enum 
{
	CEUnknownResourceOrigin = 0,
	CEFlatFileASCII,
	CEFlatFileRTF,
	CEFlatFileRTFD,
	CEDatabase
} CEResourceOrigin;


@interface CEClass : Object
{
	int	type;
	int	origin;
	id	filePath;
	
	id	_privateText;
}

+ initialize;

- init;
- free;

- (BOOL)openResourceAtPath:theLine;
- getOrigin:(int *)originType andPath:(id)filePath;
- (int)resourceType;
- setResourceType:(int)type;

@end

/*
 * History: 13.01.95 Buh
 *			
 *
 * Bugs: - ...
 */